Summary:	PulseAudio Volume Control
Summary(pl.UTF-8):	PulseAudio Volume Control - sterowanie głośnością PulseAudio
Name:		pavucontrol
Version:	6.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	https://www.freedesktop.org/software/pulseaudio/pavucontrol/%{name}-%{version}.tar.xz
# Source0-md5:	51743b9bc9eb01959bf3c770facc6555
URL:		https://www.freedesktop.org/software/pulseaudio/pavucontrol/
BuildRequires:	gcc >= 6:4.6
BuildRequires:	gettext-tools
BuildRequires:	gtkmm4-devel >= 4.0
BuildRequires:	json-glib-devel >= 1.0
BuildRequires:	libcanberra-devel >= 0.16
BuildRequires:	libsigc++3-devel >= 3.0
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 5.0
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires:	libcanberra >= 0.16
Requires:	pulseaudio-libs >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK+ based volume
control tool ("mixer") for the PulseAudio sound server. In contrast to
classic mixer tools this one allows you to control both the volume of
hardware devices and of each playback stream seperately.

%description -l pl.UTF-8
PulseAudio Volume Control (pavucontrol) to proste, oparte na GTK+,
narzędzie do regulacji głośności ("mikser") dla serwera dźwięku
PulseAudio. W przeciwieństwie do klasycznych mikserów pozwala
regulować głośność urządzeń sprzętowych, jak i każdego odtwarzanego
strumienia osobno.

%prep
%setup -q

%build
%meson build \
	-Dlynx=false

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/nb{_NO,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc build/doc/README.html
%attr(755,root,root) %{_bindir}/pavucontrol
%{_desktopdir}/org.pulseaudio.pavucontrol.desktop
%{_datadir}/metainfo/org.pulseaudio.pavucontrol.metainfo.xml
%changelog
* Sun Aug 04 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pavucontrol.git;a=log;h=master

* Sat Aug 03 2024 Jan Palus <atler@pld-linux.org> d9e6915
- up to 6.1

* Sat Aug 03 2024 Jan Palus <atler@pld-linux.org> 2dba091
- update urls

* Thu May 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 52f3688
- updated dependencies

* Thu May 23 2024 Jan Palus <atler@pld-linux.org> 8e37d53
- up to 6.0

* Fri Jul 28 2023 Jan Palus <atler@pld-linux.org> b237faa
- Revert "use canberra only in x11 (fixes crashes in wayland); rel 3"

* Fri Jul 28 2023 Jan Palus <atler@pld-linux.org> aa55e28
- use canberra only in x11 (fixes crashes in wayland); rel 3

* Fri Jul 28 2023 Jan Palus <atler@pld-linux.org> 5cc96f0
- update desktop database

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> cc8b2ce
- updated URL

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 5ba97b9
- rename locale nb_NO -> nb; rel 2

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 7e884f2
- up to 5.0

* Sat Mar 09 2019 Jan Palus <atler@pld-linux.org> bb4d65a
- fix typo

* Sat Mar 09 2019 Jan Palus <atler@pld-linux.org> 547aa64
- up to 4.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ab446e5
- fix build by forcing -std=gnu++11

* Wed Apr 08 2015 Jan Palus <atler@pld-linux.org> 93284f0
- up to 3.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d759b26
- updated gettext BR

* Sat Apr 06 2013 Jan Palus <jan.palus@gmail.com> 2373583
- up to 2.0
- BR: pulseaudio-devel >= 3.0 (for pa_context_set_port_latency_offset)

* Sun Oct 23 2011 Elan Ruusamäe <glen@pld-linux.org> e700ef3
- release 2

* Fri Oct 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 4ed5131
- updated to 1.0
- updated URLs
- now it builds with gtk+3 by default, added gtk2 bcond

* Sun Feb 28 2010 Elan Ruusamäe <glen@pld-linux.org> a6b2e6f
- release 2

* Sun Oct 25 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 5a5b87e
- updated to 0.9.10
- removed obsolete -desktop.patch

